"""
Package info variables (version, description, etc.).
"""

# SnakeBite - Transcodes GStreamer-supported audio to MP3
# Copyright (C) 2008 Jason Gerard DeRose <jderose@jasonderose.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.




info = dict(
	name='snakebite',
	version='0.1.0',
	debian_revision='1~ppa1',
	
	author='Jason Gerard DeRose',
	author_email='<jderose@jasonderose.org>',
	license='GNU GPL 2',
	
	url='',
	description='Converts your audio files to MP3',
	long_description="""If you heart Vorbis and/or heart FLAC, but
sometimes need your whole music library in MP3 format, then SnakeBite
is for you. SnakeBite will convert your entire music library to a copy
that will contain the same folders and files, except all the files will
have a ".mp3" extension and will be encoded in the MP3 format (if they
weren't already). Your original music library is never altered in any
way. SnakeBite is well suited for things like burning MP3 CD's or
putting your music onto portable devices that support few formats other
than MP3.
""",	

)


def get_setup_info():
	safe = [ 
		'name',
		'version',
		'author',
		'author_email',
		'license',
		'description',
		'long_description',
		'url',
	]
	return dict((k, info[k]) for k in safe)
