"""
Unit tests.
"""

# SnakeBite - Transcodes GStreamer-supported audio to MP3
# Copyright (C) 2008 Jason Gerard DeRose <jderose@jasonderose.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import SnakeBite
from SnakeBite import std_logging
std_logging.configure()
import logging
log = logging.getLogger()

from SnakeBite import base as target
from SnakeBite.strings import text
import gobject


def test_stuff():
	mainloop = gobject.MainLoop()
	items = ['hello', 'naughty', 'nurse']
	total = len(items)
	progress = []
	got_start = False
	got_finish = False
	
	expected = []
	expected.append((0.0, ''))
	for i in xrange(len(items)):
		n = i + 1
		percent = float(n) / total
		msg = text('scan_progress', current=n, total=total)
		expected.append((percent, msg))
	
		
	
	class C(target.AsyncBatchProcess):
		progress_key = 'scan_progress'
		count = 0
		
		def process_item(self):
			assert self.current == items[self.count]
			self.count += 1
			return True
			
	def on_finish(obj):
		log.info('on_finish')
		assert obj.count == len(items)
		for (i, pair) in enumerate(progress):
			(percent, msg) = pair
			assert abs(percent - expected[i][0]) < 0.000001
			assert msg == expected[i][1]
		mainloop.quit()
		
	def on_progress(obj, percent, msg):
		log.info('on_progress: percent = %f, msg = %r' % (percent, msg))
		progress.append((percent, msg))

		
		
	
	
	c = C()
	c.connect('finish', on_finish)
	c.connect('progress', on_progress)
	c.run(items)
	mainloop.run()
	
